This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 506207 - v7 fv_all and fv_network traceback if no server option is defined.
v7 fv_all and fv_network traceback if no server option is defined.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 22:13 EDT by Rob Landry
Modified: 2014-03-25 20:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 12:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Landry 2009-06-15 22:13:02 EDT
Description of problem:

$summary

Version-Release number of selected component (if applicable):

1.0-6

How reproducible:

every time

Steps to Reproduce:
1. v7 run --test fv_network --debug=low

  
Actual results:

HardwareTestHarness.runTest:
    test directory /tmp/v7-fv_network-MXUQAN/mnt/tests/V7/v7/fv_network  udi /org/freedesktop/Hal/devices/computer outputFile /var/log/v7/runs/1/fv_network/output.log 
make OUTPUTFILE=/var/log/v7/runs/1/fv_network/output.log RUNMODE=normal UDI=/org/freedesktop/Hal/devices/computer DEVICE= TESTSERVER=unknown run
chmod a+x ./runtest.sh ./fv_network.py
./runtest.sh
/tmp/v7-fv_network-MXUQAN/mnt/tests/V7/v7/fv_network/fv_network.py
Running ./fv_network.py:
Error: No test server was set, test abort
Traceback (most recent call last):
  File "./fv_network.py", line 43, in ?
    returnValue = test.do(sys.argv)
  File "/usr/share/v7/lib/v7/test.py", line 257, in do
    return self.run()
  File "./fv_network.py", line 35, in run
    return FAILED
NameError: global name 'FAILED' is not defined
...finished running ./fv_network.py, exit code=1
recovered exit code=1
v7-report-result /V7/v7/fv_network FAIL /var/log/v7/runs/1/fv_network/output.log 
...Done: return value = 0.
saveOutput: /var/log/v7/runs/1/fv_network/output.log
Return value was 0


when run with the fv_all option:

HardwareTestHarness.runTest:
    test directory /tmp/v7-fv_all-JkCV02/mnt/tests/V7/v7/fv_all  udi /org/freedesktop/Hal/devices/computer outputFile /var/log/v7/runs/2/fv_all/output.log 
make OUTPUTFILE=/var/log/v7/runs/2/fv_all/output.log RUNMODE=normal UDI=/org/freedesktop/Hal/devices/computer DEVICE= TESTSERVER=unknown run
chmod a+x ./runtest.sh ./fv_all.py
./runtest.sh
/tmp/v7-fv_all-JkCV02/mnt/tests/V7/v7/fv_all/fv_all.py
Running ./fv_all.py:
Error: No test server was set, test abort
Traceback (most recent call last):
  File "./fv_all.py", line 44, in ?
    returnValue = test.do(sys.argv)
  File "/usr/share/v7/lib/v7/test.py", line 257, in do
    return self.run()
  File "./fv_all.py", line 36, in run
    return FAILED
NameError: global name 'FAILED' is not defined
...finished running ./fv_all.py, exit code=1
recovered exit code=1
v7-report-result /V7/v7/fv_all FAIL /var/log/v7/runs/2/fv_all/output.log 
...Done: return value = 0.
saveOutput: /var/log/v7/runs/2/fv_all/output.log
Return value was 0


Expected results:

I would expect the network test to fail but without the traceback, in the fv_all case I would expect the network test to fail but the other tests to run.

Note You need to log in before you can comment on or make changes to this bug.